[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ControlToScreen

Converts control-relative coordinates to absolute screen coordinates.

## Declaration

Source position: controls.pp line 1737

`public function TControl.ControlToScreen(`
`const APoint: TPoint`
`):TPoint;`

## Arguments

`APoint` |  | TPoint instance with the control-relative coordinates converted in the method.

## Function result

TPoint instance with the Screen coordinates for the specified control coordinates.

## Description

Screen coordinates in the return value are determined by adding the values in APoint and the ClientOrigin for the control.

## See also

TControl.ControlOrigin |  | The top, left pixel for the control in screen coordinates.
TControl.ScreenToControl |  | Converts absolute screen coordinates to control-relative coordinates.
TControl.ScreenToClient |  | Converts absolute screen coordinates into client-relative coordinates.
TControl.ClientToScreen |  | Converts client-relative coordinates to absolute screen coordinates.